Package com.independentsoft.office.charts

# Class Surface3DChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.Surface3DChart

public class Surface3DChart extends Chart
The Class Surface3DChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Surface3DChart()`
  Instantiates a new surface3 d chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Surface3DChart`
  `clone()`
  `List<BandFormat>`
  `getBandFormats()`
  Gets the band formats.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<SurfaceChartSerie>`
  `getSeries()`
  Gets the series.
  `long`
  `getThirdAxisID()`
  Gets the third axis id.
  `boolean`
  `isWireframe()`
  Checks if is wireframe.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setThirdAxisID​(long thirdAxisID)`
  Sets the third axis id.
  `void`
  `setWireframe​(boolean wireframe)`
  Sets the wireframe.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Surface3DChart

    public Surface3DChart()
    Instantiates a new surface3 d chart.

- ## Method Details

  - ### clone

    public Surface3DChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getThirdAxisID

    public long getThirdAxisID()
    Gets the third axis id.
    Returns:
      the third axis id

  - ### setThirdAxisID

    public void setThirdAxisID​(long thirdAxisID)
    Sets the third axis id.
    Parameters:
      `thirdAxisID` - the new third axis id

  - ### getBandFormats

    public List<BandFormat> getBandFormats()
    Gets the band formats.
    Returns:
      the band formats

  - ### getSeries

    public List<SurfaceChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### isWireframe

    public boolean isWireframe()
    Checks if is wireframe.
    Returns:
      true, if is wireframe

  - ### setWireframe

    public void setWireframe​(boolean wireframe)
    Sets the wireframe.
    Parameters:
      `wireframe` - the new wireframe